const extensionsUtil = () => {
    const extensions = {
        js: '.js',
        mjs: '.mjs',
        dts: '.d.ts',
    };
    const arrayfyExtensions = Object.values(extensions);
    return {
        extensions,
        matchAnyJs: (filePath) => Boolean(arrayfyExtensions
            .filter((extension) => extension !== '.d.ts')
            .find((extension) => filePath.endsWith(extension))),
        matchAny: (filePath) => Boolean(arrayfyExtensions.find((extension) => filePath.endsWith(extension))),
    };
};
const separator = '/';
export { extensionsUtil, separator };
//# sourceMappingURL=const.js.map