import { type PartialConfig } from './cli-command-parser';
import { parseConfig, type ParsedConfig } from './config';
declare const tsAddJsExtension: ({ config, parsedConfigFunction, }: Readonly<{
    config: PartialConfig;
    /**
     * @deprecated since version 1.4.0
     * Will be deleted in version 2.0
     * To pass configurations to `tsAddJsExtension`
     * Just pass the configurations directly
     * ```
     * tsAddJsExtension({
     *  config:{
     *   dir:'dist'
     *  }
     * })
     * ```
     * Instead of passing with this function
     * ```
     * tsAddJsExtension({
     *  parsedConfigFunction: () => parseConfig(argv)
     * })
     * ```
     * As it will be ignroed
     */
    parsedConfigFunction?: (() => ParsedConfig) | undefined;
}>) => Promise<{
    readonly type: "done";
    readonly error?: undefined;
} | {
    readonly type: "error";
    readonly error: unknown;
}>;
declare const main: (args: string) => void | Promise<void>;
export { parseConfig, tsAddJsExtension };
export default main;
