"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.separator = exports.extensionsUtil = void 0;
var extensionsUtil = function () {
    var extensions = {
        js: '.js',
        mjs: '.mjs',
        dts: '.d.ts',
    };
    var arrayfyExtensions = Object.values(extensions);
    return {
        extensions: extensions,
        matchAnyJs: function (filePath) {
            return Boolean(arrayfyExtensions
                .filter(function (extension) { return extension !== '.d.ts'; })
                .find(function (extension) { return filePath.endsWith(extension); }));
        },
        matchAny: function (filePath) {
            return Boolean(arrayfyExtensions.find(function (extension) {
                return filePath.endsWith(extension);
            }));
        },
    };
};
exports.extensionsUtil = extensionsUtil;
var separator = '/';
exports.separator = separator;
//# sourceMappingURL=const.js.map