/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
export default class Log {
    private readonly numberOfFiles;
    private completedFiles;
    static readonly fromNumberOfFiles: (numberOfFiles: number) => Log;
    private constructor();
    private readonly redify;
    private readonly cyanify;
    private readonly boldify;
    readonly increment: ({ file, repeat, succeed, }: Readonly<{
        file: string;
        repeat: number;
        succeed: boolean;
    }>) => void;
    readonly end: ({ errors, }: Readonly<{
        errors: ReadonlyArray<Readonly<{
            file: string;
            error: NodeJS.ErrnoException;
        }>>;
    }>) => void;
}
